ICP / GTM / REST API
Save segment
Deterministically create or update one coding-agent-authored Launchpad segment by workspace and slug. Does not invoke hosted inference.
POST /api/v1/segmentsDeterministic operationParameters
workspaceIdRequired · string- See the input schema for this field.
segmentRequired · object- See the input schema for this field.
curl -X POST "https://app.pipeline.help/api/v1/segments" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"workspaceId":"00000000-0000-4000-8000-000000000000","segment":{"name":"example"}}'Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string"
},
"segment": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"icon": {
"type": "string"
},
"color": {
"type": "string",
"pattern": "^#[0-9a-fA-F]{6}$"
},
"valueProp": {
"type": "string"
},
"pain": {
"type": "string"
},
"criteria": {
"type": "object",
"additionalProperties": true
},
"exampleAccounts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"domain": {
"type": "string"
}
},
"required": [
"name"
]
}
},
"personaIds": {
"type": "array",
"items": {
"type": "string"
}
},
"icpProfileId": {
"type": "string"
},
"weight": {
"type": "integer",
"minimum": 0,
"maximum": 100
},
"estimatedLeads": {
"type": [
"integer",
"null"
],
"minimum": 0
}
},
"required": [
"name"
],
"additionalProperties": false
}
},
"required": [
"workspaceId",
"segment"
]
}